org.apache.uima.search.impl

## Class Filter_impl

- java.lang.Object
- - org.apache.uima.resource.metadata.impl.MetaDataObject_impl
  - - org.apache.uima.search.impl.Filter_impl

- All Implemented Interfaces:
    Serializable, Cloneable, MetaDataObject, Filter, XMLizable

      public class Filter_impl
      extends MetaDataObject_impl
      implements Filter

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `serialContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Filter_impl()`
    `Filter_impl(String aSyntax, String aExpression)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildFromXMLElement(Element aElement, XMLParser aParser, XMLParser.ParsingOptions aOptions)` Initializes this object from its XML DOM representation.
    `String` | `getExpression()` Gets the filter expression.
    `String` | `getSyntax()` Gets the declared syntax for this filter's expression.
    `protected XmlizationInfo` | `getXmlizationInfo()` To be implemented by subclasses to return information describing how to represent this object in XML.
    `void` | `setExpression(String aExpression)` Sets the filter expression.
    `void` | `setSyntax(String aSyntax)` Sets the declared syntax for this this filter's expression.
    `void` | `toXML(ContentHandler aContentHandler, boolean aWriteDefaultNamespaceAttribute)` Writes this object's XML representation by making calls on a SAX `ContentHandler`.

    - ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `buildFromXMLElement, clone, equals, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, getXMLAttributes, hashCode, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml, writePropertyAsElement`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, toXML, toXML, toXML`

- - ### Constructor Detail

    - #### Filter_impl

          public Filter_impl()

    - #### Filter_impl

          public Filter_impl(String aSyntax,
                             String aExpression)

      Parameters:
        `aSyntax` - -
        `aExpression` - -

  - ### Method Detail

    - #### getSyntax

          public String getSyntax()

      Description copied from interface: `Filter`
      Gets the declared syntax for this filter's expression.
      Specified by:
        `getSyntax` in interface `Filter`
      Returns:
        an identifier indicating the syntax used by this filter

    - #### setSyntax

          public void setSyntax(String aSyntax)

      Description copied from interface: `Filter`
      Sets the declared syntax for this this filter's expression.
      Specified by:
        `setSyntax` in interface `Filter`
      Parameters:
        `aSyntax` - an identifier indicating the syntax used by this filter

    - #### getExpression

          public String getExpression()

      Description copied from interface: `Filter`
      Gets the filter expression. This is a string intended to be interpreted according to the `syntax`.
      Specified by:
        `getExpression` in interface `Filter`
      Returns:
        the filter expression

    - #### setExpression

          public void setExpression(String aExpression)

      Description copied from interface: `Filter`
      Sets the filter expression. This is a string intended to be interpreted according to the `syntax`.
      Specified by:
        `setExpression` in interface `Filter`
      Parameters:
        `aExpression` - the filter expression

    - #### buildFromXMLElement

          public void buildFromXMLElement(Element aElement,
                                          XMLParser aParser,
                                          XMLParser.ParsingOptions aOptions)
                                   throws InvalidXMLException

      Description copied from class: `MetaDataObject_impl`
      Initializes this object from its XML DOM representation. This method is typically called from the `XMLParser`. It is overridden by specific Java impl classes to provide additional defaulting (e.g. see AnalysisEngineDescription_impl)
      Specified by:
        `buildFromXMLElement` in interface `XMLizable`
      Overrides:
        `buildFromXMLElement` in class `MetaDataObject_impl`
      Parameters:
        `aElement` - the XML element that represents this object.
        `aParser` - a reference to the UIMA `XMLParser`. The `XMLParser.buildObject(Element)` method can be used to construct sub-objects.
        `aOptions` - option settings
      Throws:
        `InvalidXMLException` - if the input XML element does not specify a valid object

    - #### toXML

          public void toXML(ContentHandler aContentHandler,
                            boolean aWriteDefaultNamespaceAttribute)
                     throws SAXException

      Description copied from interface: `XMLizable`
      Writes this object's XML representation by making calls on a SAX `ContentHandler`.
      Specified by:
        `toXML` in interface `XMLizable`
      Overrides:
        `toXML` in class `MetaDataObject_impl`
      Parameters:
        `aContentHandler` - the content handler to which this object will write events that describe its XML representation.
        `aWriteDefaultNamespaceAttribute` - whether the namespace of this element should be written as the default namespace. This should be done only for the root element, and it defaults to false.
      Throws:
        `SAXException` - pass thru
      See Also:
        `This is called internally, also for JSon serialization If this is the first call to serialize, create a serialContext (and clean up afterwards) Other callers (e.g. JSON) must set the serialContext first before calling`

    - #### getXmlizationInfo

          protected XmlizationInfo getXmlizationInfo()

      Description copied from class: `MetaDataObject_impl`
      To be implemented by subclasses to return information describing how to represent this object in XML.
      Specified by:
        `getXmlizationInfo` in class `MetaDataObject_impl`
      Returns:
        information defining this object's XML representation

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.